| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Properties | List of all members
IG.Num.IScalarFunctionUntransformed Interface Reference

Scalar functions of vector arguments. More...

Inheritance diagram for IG.Num.IScalarFunctionUntransformed:
[legend]

## Public Member Functions
void | Evaluate (IScalarFunctionResults data)
| Evaluates whatever needs to be evaluated and stores the results on the specified storage object. More...
double | Value (IVector x)
| Returns the value of this function at the specified parameter. More...
void | GradientPlain (IVector parameters, IVector gradient)
| Calculates first order derivatives (gradient) of this function at the specified parameters. WARNING: Plain function, does not check consistency of arguments. More...
void | Gradient (IVector parameters, ref IVector gradient)
| Calculates first order derivatives (gradient) of this function at the specified parameters. More...
void | HessianPlain (IVector parameters, IMatrix hessian)
| Calculates the second derivative (Hessian matrix) of this function at the specified parameters. WARNING: Plain function, does not check consistency of arguments. More...
void | Hessian (IVector parameters, ref IMatrix hessian)
| Calculates the second derivative (Hessian matrix) of this function at the specified parameters. More...

## Properties
string | Name`[get]`
| Returns a short name of the function. More...
string | Description`[get]`
| Returns a short description of the function. More...
bool | ValueDefined`[get]`
| Tells whether value of the function is defined by implementation. More...
bool | GradientDefined`[get]`
| Tells whether the first derivative is defined for this function (by implementation, not mathematically) More...
bool | HessianDefined`[get]`
| Tells whether the second derivative is defined for this function (by implementation, not mathematically) More...

## Detailed Description

Scalar functions of vector arguments.

$A Igor xx May10;

## Member Function Documentation

void IG.Num.IScalarFunctionUntransformed.Evaluate | ( | IScalarFunctionResults | data | ) |

Evaluates whatever needs to be evaluated and stores the results on the specified storage object.

Parameters

  data | Evaluation data object where results of calculation are stored. It also contains flags taht specify what needs to be calculated, and resulting flags specifying what has been calculated.

Implemented in IG.Num.ScalarFunctionUntransformedBase.

double IG.Num.IScalarFunctionUntransformed.Value | ( | IVector | x | ) |

Returns the value of this function at the specified parameter.

Implemented in IG.Num.ScalarFunctionQuadratic, IG.Num.Func3dBase, IG.Num.ScalarFunctionLinear, IG.Num.Func2dBase, IG.Num.ScalarFunctionUntransformedBase, IG.Num.ScalarFunctionRadialUntransformed, IG.Num.ScalarFunctionBase, and IG.Num.ScalarFunctionConstant.

Referenced by IG.Num.VectorFunctionExamples.RosenrockAndCircle.Evaluate(), IG.Script.AppExtBase.FormDemoFunctionTestDevelop(), and IG.Num.Func2dFromScalarFunction.Value().

void IG.Num.IScalarFunctionUntransformed.GradientPlain | ( | IVector | parameters,
|  | IVector | gradient
| ) |  |

Calculates first order derivatives (gradient) of this function at the specified parameters. WARNING: Plain function, does not check consistency of arguments.

Parameters

  parameters | Vector of parameters where derivatives are evaluated.
  gradient | Vector where first order derivatives (the gradient) are stored.

Implemented in IG.Num.ScalarFunctionQuadratic, IG.Num.Func3dBase, IG.Num.ScalarFunctionLinear, IG.Num.Func2dBase, IG.Num.ScalarFunctionUntransformedBase, IG.Num.ScalarFunctionRadialUntransformed, IG.Num.ScalarFunctionBase, and IG.Num.ScalarFunctionConstant.

void IG.Num.IScalarFunctionUntransformed.Gradient | ( | IVector | parameters,
|  | ref IVector | gradient
| ) |  |

Calculates first order derivatives (gradient) of this function at the specified parameters.

Parameters

  parameters | Vector of parameters where derivatives are evaluated.
  gradient | Vector where first order derivatives (gradient) are stored. Passed by reference.

Implemented in IG.Num.ScalarFunctionUntransformedBase.

Referenced by IG.Num.VectorFunctionExamples.RosenrockAndCircle.Evaluate().

void IG.Num.IScalarFunctionUntransformed.HessianPlain | ( | IVector | parameters,
|  | IMatrix | hessian
| ) |  |

Calculates the second derivative (Hessian matrix) of this function at the specified parameters. WARNING: Plain function, does not check consistency of arguments.

Parameters

  parameters | Vector of parameters where derivatives are evaluated.
  hessian | Matrix where second derivatives (Hessian matrix) are stored.

Implemented in IG.Num.ScalarFunctionQuadratic, IG.Num.Func3dBase, IG.Num.ScalarFunctionLinear, IG.Num.Func2dBase, IG.Num.ScalarFunctionUntransformedBase, IG.Num.ScalarFunctionRadialUntransformed, IG.Num.ScalarFunctionBase, and IG.Num.ScalarFunctionConstant.

void IG.Num.IScalarFunctionUntransformed.Hessian | ( | IVector | parameters,
|  | ref IMatrix | hessian
| ) |  |

Calculates the second derivative (Hessian matrix) of this function at the specified parameters.

Parameters

  parameters | Vector of parameters where derivatives are evaluated.
  hessian | Matrix where second derivatives (Hessian matrix) are stored. Passed by reference.

Implemented in IG.Num.ScalarFunctionUntransformedBase.

Referenced by IG.Num.VectorFunctionExamples.RosenrockAndCircle.Evaluate().

## Property Documentation

string IG.Num.IScalarFunctionUntransformed.Name
| get

Returns a short name of the function.

string IG.Num.IScalarFunctionUntransformed.Description
| get

Returns a short description of the function.

bool IG.Num.IScalarFunctionUntransformed.ValueDefined
| get

Tells whether value of the function is defined by implementation.

bool IG.Num.IScalarFunctionUntransformed.GradientDefined
| get

Tells whether the first derivative is defined for this function (by implementation, not mathematically)

bool IG.Num.IScalarFunctionUntransformed.HessianDefined
| get

Tells whether the second derivative is defined for this function (by implementation, not mathematically)

The documentation for this interface was generated from the following file:

- igbase/numeric/FunctionScalarInt.cs